## org.apache.batik.css.dom
Interface CSSOMValue.ModificationHandler

All Known Implementing Classes:
  CSSOMValue.AbstractModificationHandler

Enclosing class:
  CSSOMValue

    public static interface CSSOMValue.ModificationHandler

To manage the modifications on a CSS value.

Method Summary
`void` `blueFloatValueChanged(short unit, float value)` Called when the blue float value has changed.
`void` `blueTextChanged(java.lang.String text)` Called when the blue value text has changed.
`void` `bottomFloatValueChanged(short unit, float value)` Called when the bottom float value has changed.
`void` `bottomTextChanged(java.lang.String text)` Called when the bottom value text has changed.
`void` `floatValueChanged(short unit, float value)` Called when the float value has changed.
`void` `greenFloatValueChanged(short unit, float value)` Called when the green float value has changed.
`void` `greenTextChanged(java.lang.String text)` Called when the green value text has changed.
`void` `leftFloatValueChanged(short unit, float value)` Called when the left float value has changed.
`void` `leftTextChanged(java.lang.String text)` Called when the left value text has changed.
`void` `listFloatValueChanged(int idx, short unit, float value)` Called when the list float value has changed.
`void` `listStringValueChanged(int idx, short unit, java.lang.String value)` Called when the list string value has changed.
`void` `listTextChanged(int idx, java.lang.String text)` Called when the list value text has changed.
`void` `redFloatValueChanged(short unit, float value)` Called when the red float value has changed.
`void` `redTextChanged(java.lang.String text)` Called when the red value text has changed.
`void` `rightFloatValueChanged(short unit, float value)` Called when the right float value has changed.
`void` `rightTextChanged(java.lang.String text)` Called when the right value text has changed.
`void` `stringValueChanged(short type, java.lang.String value)` Called when the string value has changed.
`void` `textChanged(java.lang.String text)` Called when the value text has changed.
`void` `topFloatValueChanged(short unit, float value)` Called when the top float value has changed.
`void` `topTextChanged(java.lang.String text)` Called when the top value text has changed.

Method Detail

### textChanged

    void textChanged(java.lang.String text)
                     throws org.w3c.dom.DOMException

  Called when the value text has changed.

  Throws:
    `org.w3c.dom.DOMException`

### floatValueChanged

    void floatValueChanged(short unit,
                           float value)
                           throws org.w3c.dom.DOMException

  Called when the float value has changed.

  Throws:
    `org.w3c.dom.DOMException`

### stringValueChanged

    void stringValueChanged(short type,
                            java.lang.String value)
                            throws org.w3c.dom.DOMException

  Called when the string value has changed.

  Throws:
    `org.w3c.dom.DOMException`

### leftTextChanged

    void leftTextChanged(java.lang.String text)
                         throws org.w3c.dom.DOMException

  Called when the left value text has changed.

  Throws:
    `org.w3c.dom.DOMException`

### leftFloatValueChanged

    void leftFloatValueChanged(short unit,
                               float value)
                               throws org.w3c.dom.DOMException

  Called when the left float value has changed.

  Throws:
    `org.w3c.dom.DOMException`

### topTextChanged

    void topTextChanged(java.lang.String text)
                        throws org.w3c.dom.DOMException

  Called when the top value text has changed.

  Throws:
    `org.w3c.dom.DOMException`

### topFloatValueChanged

    void topFloatValueChanged(short unit,
                              float value)
                              throws org.w3c.dom.DOMException

  Called when the top float value has changed.

  Throws:
    `org.w3c.dom.DOMException`

### rightTextChanged

    void rightTextChanged(java.lang.String text)
                          throws org.w3c.dom.DOMException

  Called when the right value text has changed.

  Throws:
    `org.w3c.dom.DOMException`

### rightFloatValueChanged

    void rightFloatValueChanged(short unit,
                                float value)
                                throws org.w3c.dom.DOMException

  Called when the right float value has changed.

  Throws:
    `org.w3c.dom.DOMException`

### bottomTextChanged

    void bottomTextChanged(java.lang.String text)
                           throws org.w3c.dom.DOMException

  Called when the bottom value text has changed.

  Throws:
    `org.w3c.dom.DOMException`

### bottomFloatValueChanged

    void bottomFloatValueChanged(short unit,
                                 float value)
                                 throws org.w3c.dom.DOMException

  Called when the bottom float value has changed.

  Throws:
    `org.w3c.dom.DOMException`

### redTextChanged

    void redTextChanged(java.lang.String text)
                        throws org.w3c.dom.DOMException

  Called when the red value text has changed.

  Throws:
    `org.w3c.dom.DOMException`

### redFloatValueChanged

    void redFloatValueChanged(short unit,
                              float value)
                              throws org.w3c.dom.DOMException

  Called when the red float value has changed.

  Throws:
    `org.w3c.dom.DOMException`

### greenTextChanged

    void greenTextChanged(java.lang.String text)
                          throws org.w3c.dom.DOMException

  Called when the green value text has changed.

  Throws:
    `org.w3c.dom.DOMException`

### greenFloatValueChanged

    void greenFloatValueChanged(short unit,
                                float value)
                                throws org.w3c.dom.DOMException

  Called when the green float value has changed.

  Throws:
    `org.w3c.dom.DOMException`

### blueTextChanged

    void blueTextChanged(java.lang.String text)
                         throws org.w3c.dom.DOMException

  Called when the blue value text has changed.

  Throws:
    `org.w3c.dom.DOMException`

### blueFloatValueChanged

    void blueFloatValueChanged(short unit,
                               float value)
                               throws org.w3c.dom.DOMException

  Called when the blue float value has changed.

  Throws:
    `org.w3c.dom.DOMException`

### listTextChanged

    void listTextChanged(int idx,
                         java.lang.String text)
                         throws org.w3c.dom.DOMException

  Called when the list value text has changed.

  Throws:
    `org.w3c.dom.DOMException`

### listFloatValueChanged

    void listFloatValueChanged(int idx,
                               short unit,
                               float value)
                               throws org.w3c.dom.DOMException

  Called when the list float value has changed.

  Throws:
    `org.w3c.dom.DOMException`

### listStringValueChanged

    void listStringValueChanged(int idx,
                                short unit,
                                java.lang.String value)
                                throws org.w3c.dom.DOMException

  Called when the list string value has changed.

  Throws:
    `org.w3c.dom.DOMException`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.